<?php
$prefix = '_g7_';

$sidebars['sidebar'] = 'Default Sidebar';
foreach ((array)g7_option('sidebar') as $v) {
	$sidebars[$v] = $v;
}

$meta_boxes[] = array(
	'id'           => 'layout_metabox',
	'title'        => 'تنظیمات طرح',
	'pages'        => array('page'),
	'templates_ex' => array('page-masonry.php', 'page-categories-masonry.php'),
	'context'      => 'normal',
	'priority'     => 'high',
	'fields'       => array(
		array(
			'name'    => 'طرح برگه',
			'id'      => $prefix . 'layout',
			'type'    => 'select',
			'options' => array(
				'0'   => 'طرح پیشفرض',
				'1'   => 'ساید بار چپ',
				'2'   => 'سایت بار راست',
				'3'   => 'تمام صفحه'
			)
		),
		array(
			'name'    => 'ساید بار',
			'id'      => $prefix . 'sidebar',
			'type'    => 'select',
			'options' => $sidebars
		)
	)
);

$meta_boxes[] = array(
	'id'        => 'list_metabox',
	'title'     => 'تنظیمات لیست',
	'pages'     => array('page'),
	'templates' => array('page-list.php'),
	'context'   => 'normal',
	'priority'  => 'high',
	'fields'    => array(
		array(
			'name'    => 'تعداد نوشته ها در هر صفحه',
			'id'      => $prefix . 'list_number',
			'type'    => 'text',
			'size'    => 2,
			'desc'    => 'در صورت خالی گذاشتن تنظیمات سایت اعمال می گردد (<a href="' . admin_url('options-reading.php') . '" target="_blank">تنظیمات خواندن</a>)'		),
		array(
			'name'    => 'فیلتر بر اساس دسته',
			'id'      => $prefix . 'list_category',
			'type'    => 'category'
		)
	)
);

$meta_boxes[] = array(
	'id'        => 'grid_metabox',
	'title'     => 'تنظیمات گرید',
	'pages'     => array('page'),
	'templates' => array('page-grid.php'),
	'context'   => 'normal',
	'priority'  => 'high',
	'fields'    => array(
		array(
			'name'    => 'تعداد ستون ها',
			'id'      => $prefix . 'grid_columns',
			'type'    => 'select',
			'options' => array(
				'1'   => '1',
				'2'   => '2',
				'3'   => '3',
				'4'   => '4'
			)
		),
		array(
			'name'    => 'تعداد مطالب در هر صفحه',
			'id'      => $prefix . 'grid_number',
			'type'    => 'text',
			'size'    => 2,
			'desc'    => 'در صورت خالی گذاشتن تنظیمات سایت اعمال می گردد (<a href="' . admin_url('options-reading.php') . '" target="_blank">تنظیمات خواندن</a>)'
		),
		array(
			'name'    => 'فیلتر بر اساس دسته',
			'id'      => $prefix . 'grid_category',
			'type'    => 'category'
		)
	)
);

$meta_boxes[] = array(
	'id'        => 'masonry_metabox',
	'title'     => 'تنظیمات جدولی',
	'pages'     => array('page'),
	'templates' => array('page-masonry.php'),
	'context'   => 'normal',
	'priority'  => 'high',
	'fields'    => array(
		array(
			'name'    => 'تعداد ستون ها',
			'id'      => $prefix . 'masonry_columns',
			'type'    => 'select',
			'options' => array(
				'2'   => '2',
				'3'   => '3',
				'4'   => '4'
			)
		),
		array(
			'name'    => 'تعداد مطالب در هر برگه',
			'id'      => $prefix . 'masonry_number',
			'type'    => 'text',
			'size'    => 2,
			'desc'    => 'در صورت خالی گذاشتن تنظیمات سایت اعمال می گردد (<a href="' . admin_url('options-reading.php') . '" target="_blank">تنظیمات خواندن</a>)'
		),
		array(
			'name'    => 'فیلتر بر اساس دسته',
			'id'      => $prefix . 'masonry_category',
			'type'    => 'category'
		)
	)
);

$meta_boxes[] = array(
	'id'        => 'category_metabox',
	'title'     => 'دسته ها',
	'pages'     => array('page'),
	'templates' => array('page-categories.php'),
	'context'   => 'normal',
	'priority'  => 'high',
	'fields'    => array(
		array(
			'name'        => 'دسته ها (دو ستونه)',
			'id'          => $prefix . 'cat2col',
			'type'        => 'categories',
			'default_num' => 4
		),
		array(
			'name'        => 'دسته ها (1 ستون)',
			'id'          => $prefix . 'cat1col',
			'type'        => 'categories',
			'default_num' => 6
		)
	)
);

$meta_boxes[] = array(
	'id'        => 'category2_metabox',
	'title'     => 'دسته ها',
	'pages'     => array('page'),
	'templates' => array('page-categories-masonry.php'),
	'context'   => 'normal',
	'priority'  => 'high',
	'fields'    => array(
		array(
			'name'        => 'دسته ها',
			'id'          => $prefix . 'cat',
			'type'        => 'categories',
			'default_num' => 4
		)
	)
);

if (g7_option('enable_seo')) {
	$meta_boxes[] = array(
		'id'       => 'seo_metabox',
		'title'    => 'تنظیمات سئو',
		'pages'    => array('post', 'page'),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'name' => 'توضیحات',
				'id'   => $prefix . 'seo_description',
				'type' => 'textarea',
				'cols' => '60',
				'rows' => '2',
				'desc' => 'توضیحات کوتاه درباره این نوشته'
			),
			array(
				'name' => 'کلمات کلیدی',
				'id'   => $prefix . 'seo_keywords',
				'type' => 'textarea',
				'cols' => '60',
				'rows' => '2',
				'desc' => 'با ویرگول جدا کنید'
			),
			array(
				'name'  => 'Noindex',
				'id'    => $prefix . 'seo_noindex',
				'type'  => 'checkbox',
				'label' => 'فعال سازی noindex برای این صفحه',
				'std'   => 0
			)
		)
	);
}

if (g7_option('enable_ratings')) {
	$meta_boxes[] = array(
		'id'       => 'rating_metabox',
		'title'    => 'امتیاز دهی',
		'pages'    => array('post'),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'id'      => $prefix . 'enable_rating',
				'type'    => 'checkbox',
				'label'   => 'فعال سازی امتیاز دهی در این صفحه'
			),
			array(
				'id'      => $prefix . 'criteria',
				'id2'     => $prefix . 'rating',
				'id3'     => $prefix . 'overall_rating',
				'type'    => 'rating',
				'min'     => '0',
				'max'     => '5',
				'step'    => '0.5'
			)
		)
	);
}

$meta_boxes[] = array(
	'id'        => 'sitemap_metabox',
	'title'     => 'تنظیمات نقشه سایت',
	'pages'     => array('page'),
	'templates' => array('page-sitemap.php'),
	'context'   => 'normal',
	'priority'  => 'high',
	'fields'    => array(
		array(
			'name' => 'نمایش برگه ها',
			'id'   => $prefix . 'sitemap_pages',
			'type' => 'checkbox',
			'std'  => 1
		),
		array(
			'name' => 'عنوان برگه ها',
			'id'   => $prefix . 'sitemap_pages_title',
			'type' => 'text',
			'std'  => 'برگه ها'
		),
		array(
			'name' => 'نمایش دسته ها',
			'id'   => $prefix . 'sitemap_categories',
			'type' => 'checkbox',
			'std'  => 1
		),
		array(
			'name' => 'عنوان دسته ها',
			'id'   => $prefix . 'sitemap_categories_title',
			'type' => 'text',
			'std'  => 'دسته ها'
		),
		array(
			'name' => 'نمایش بایگانی ماهانه',
			'id'   => $prefix . 'sitemap_month',
			'type' => 'checkbox',
			'std'  => 1
		),
		array(
			'name' => 'عنوان بایگانی ماهانه',
			'id'   => $prefix . 'sitemap_month_title',
			'type' => 'text',
			'std'  => 'بایگانی بر اساس ماه'
		),
		array(
			'name' => 'نمایش جدیدترین مطالب',
			'id'   => $prefix . 'sitemap_posts',
			'type' => 'checkbox',
			'std'  => 1
		),
		array(
			'name' => 'عنوان جدیدترین مطالب',
			'id'   => $prefix . 'sitemap_posts_title',
			'type' => 'text',
			'std'  => 'آخرین مطالب'
		),
		array(
			'name' => 'تعداد آخرین مطالب',
			'id'   => $prefix . 'sitemap_posts_num',
			'type' => 'text',
			'size' => 3,
			'std'  => 20
		)
	)
);